<?php

// Posts Grid Widget.
require get_template_directory() . '/inc/widgets/posts-grid-widget.php';

// Posts List Widget.
require get_template_directory() . '/inc/widgets/posts-list-widget.php';

// Posts Small List Widget.
require get_template_directory() . '/inc/widgets/posts-small-list-widget.php';

// Posts Tile Widget.
require get_template_directory() . '/inc/widgets/posts-tile-widget.php';

// Trending Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/trending-posts-carousel-widget.php';

// Social Icons Widget.
require get_template_directory() . '/inc/widgets/social-icons-widget.php';

/**
 * Register Widgets
 */
function newsbreak_magazine_pro_register_widgets() {

	register_widget( 'Newsbreak_Magazine_Posts_Grid_Widget' );

	register_widget( 'Newsbreak_Magazine_Posts_List_Widget' );

	register_widget( 'Newsbreak_Magazine_Posts_Small_List_Widget' );

	register_widget( 'Newsbreak_Magazine_Posts_Tile_Widget' );

	register_widget( 'Newsbreak_Magazine_Trending_Posts_Carousel_Widget' );

	register_widget( 'Newsbreak_Magazine_Social_Icons_Widget' );

}
add_action( 'widgets_init', 'newsbreak_magazine_pro_register_widgets' );
